package com.ym.library.module;

import com.google.gson.annotations.SerializedName;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-30 19:25 GMT+8
 * @detail :
 */
public class RedPackReceiveEntity {


    /**
     * totalCoins : 240
     * totalCents : 37678
     * double : {"multipleSid":"70028e066fcc4efda63a8e9f7d403892","buttonText":"看视频3-5倍奖励"}
     */

    private int totalCoins;
    private int totalCents;
    @SerializedName("double")
    private DoubleBean doubleX;

    public int getTotalCoins() {
        return totalCoins;
    }

    public void setTotalCoins(int totalCoins) {
        this.totalCoins = totalCoins;
    }

    public int getTotalCents() {
        return totalCents;
    }

    public void setTotalCents(int totalCents) {
        this.totalCents = totalCents;
    }

    public DoubleBean getDoubleX() {
        return doubleX;
    }

    public void setDoubleX(DoubleBean doubleX) {
        this.doubleX = doubleX;
    }

    public static class DoubleBean {
        /**
         * multipleSid : 70028e066fcc4efda63a8e9f7d403892
         * buttonText : 看视频3-5倍奖励
         */

        private String multipleSid;
        private String buttonText;

        public String getMultipleSid() {
            return multipleSid;
        }

        public void setMultipleSid(String multipleSid) {
            this.multipleSid = multipleSid;
        }

        public String getButtonText() {
            return buttonText;
        }

        public void setButtonText(String buttonText) {
            this.buttonText = buttonText;
        }
    }
}
